import { AnnotationAction } from './annotation-action.abstract';
/**
 * Delete the node annotation by type
 */
export class DeleteNodeAnnotationAction extends AnnotationAction {
  constructor(annotationType) {
    super();
    this.isFlushable = true;
    this.annotationType = annotationType;
  }
  /**
   * Don't need this for this action
   *
   * @returns {Nullable<Annotation>} undefined
   */
  toAnnotation() {
    return undefined;
  }
}
